Subject: Re: [6tisch] Benoit Claise's No Objection on draft-ietf-6tisch-minimal-20: (with COMMENT)

From: Xavi Vilajosana Guillen <[email-masked]>
Date: Mon, 20 Feb 2017 17:04:18 +0100

Dear Benoit, thanks for your comments. Please see inline our response.  A
new version of the draft will be published later today.

regards,
X
---

Benoit Claise has entered the following ballot position for
draft-ietf-6tisch-minimal-20: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-6tisch-minimal/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

While reading, I frowned upon the same MAY & RPL issue as mentioned by
Alvaro:
The Introduction mentions that "RPL is specified to provide the framework
for time synchronization in an 802.15.4 TSCH network.", but Section 5
(RPL Settings) makes it optional: "In a multi-hop topology, the RPL
routing protocol [RFC6550] MAY be used."

----------------------------------------------------------------------

ANSWER:
----------------------------------------------------------------------
The two sentences in the intro referring to RPL have been removed. We think
now that entering this discussion in the intro is too early.
Our goal is to support implementations that want to use RPL. In this sense,
we indicate how to map the L3 topology with the L2 (and timing) topology
when RPL is used. However we do not want to restrict other possible routing
protocols.

_______________________________________________
6tisch mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/6tisch

2017-02-16 11:51 GMT+01:00 Benoit Claise <[email-masked]>:

> Benoit Claise has entered the following ballot position for
> draft-ietf-6tisch-minimal-20: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-6tisch-minimal/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> While reading, I frowned upon the same MAY & RPL issue as mentioned by
> Alvaro:
> The Introduction mentions that "RPL is specified to provide the framework
> for time synchronization in an 802.15.4 TSCH network.", but Section 5
> (RPL Settings) makes it optional: "In a multi-hop topology, the RPL
> routing protocol [RFC6550] MAY be used."
>
>
>

-- 
Dr. Xavier Vilajosana
Wireless Networks Lab

*Internet Interdisciplinary Institute (IN3)Professor*
(+34) 646 633 681
[email-masked] <[email-masked]>
http://xvilajosana.org
http://wine.rdi.uoc.edu
Parc Mediterrani de la Tecnologia
Av Carl Friedrich Gauss 5, B3 Building
08860 Castelldefels (Barcelona). Catalonia. Spain

---

From: Benoit Claise <[email-masked]>
Date: Wed, 22 Feb 2017 08:24:48 +0100

Dear Xavi,

Thank you.

Regards, Benoit
> Dear Benoit, thanks for your comments. Please see inline our 
> response.  A new version of the draft will be published later today.
>
> regards,
> X
> ---
>
> The two sentences in the intro referring to RPL have been removed. We 
> think now that entering this discussion in the intro is too early.
> Our goal is to support implementations that want to use RPL. In this 
> sense, we indicate how to map the L3 topology with the L2 (and timing) 
> topology when RPL is used. However we do not want to restrict other 
> possible routing protocols.
>
> [email-masked] <mailto:[email-masked]>
> 2017-02-16 11:51 GMT+01:00 Benoit Claise <[email-masked] 
> <mailto:[email-masked]>>:
>
>     Please refer to
>     https://www.ietf.org/iesg/statement/discuss-criteria.html
>     <https://www.ietf.org/iesg/statement/discuss-criteria.html>
>     <https://datatracker.ietf.org/doc/draft-ietf-6tisch-minimal/>
>
>
>
> /Internet Interdisciplinary Institute (IN3)
> Professor/
> (+34) 646 633 681
> [email-masked] <mailto:[email-masked]>
> http://xvilajosana.org
> http://wine.rdi.uoc.edu
> Universitat Oberta de Catalunya
>